Uploaded image for project: 'Phoenix'
  1. Phoenix
  2. PHOENIX-2834

Support Phoenix over CDH 5.7.0

    XMLWordPrintableJSON

    Details

    • Type: New Feature
    • Status: Resolved
    • Priority: Major
    • Resolution: Information Provided
    • Affects Version/s: 4.7.0
    • Fix Version/s: None
    • Labels:

      Description

      Phoenix 4.7 is not compilable on CDH 5.7.0. To make it compilable and run successfully we need to do following things

      1. CDH 5.7.0 support hbase 1.2.0, which is not currently supported by phoenix yet. Need to change few APIs as per hbase 1.2.0
      2. We need a cdh compatible tephra library to be added in maven dependency
      3. Add cloudera repository in pom file
      4. Update hadoop and hbase dependencies with their respective cloudera version instead of open source version of hadoop and hbase.

        Attachments

          Activity

            People

            • Assignee:
              busbey Sean Busbey
              Reporter:
              ankurjain Ankur Jain
            • Votes:
              4 Vote for this issue
              Watchers:
              15 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: